summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRemi Cardona <remi@gentoo.org>2009-03-03 16:26:20 +0000
committerRemi Cardona <remi@gentoo.org>2009-03-03 16:26:20 +0000
commit21b1a6060afd7da3535855f6dde1da156999e6b4 (patch)
tree8b7eb9e7ab958d5feebc7680f25b4ee4eee97f19 /eclass/x-modular.eclass
parentFix deps. Per bug #259127. Version bump. (diff)
downloadhistorical-21b1a6060afd7da3535855f6dde1da156999e6b4.tar.gz
historical-21b1a6060afd7da3535855f6dde1da156999e6b4.tar.bz2
historical-21b1a6060afd7da3535855f6dde1da156999e6b4.zip
install proto docs in /usr/share/doc/${PF} (fixes bug #164917)
Diffstat (limited to 'eclass/x-modular.eclass')
-rw-r--r--eclass/x-modular.eclass18
1 files changed, 13 insertions, 5 deletions
diff --git a/eclass/x-modular.eclass b/eclass/x-modular.eclass
index 51fde4d7f72d..bb4be33b99f6 100644
--- a/eclass/x-modular.eclass
+++ b/eclass/x-modular.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.105 2009/02/18 18:40:52 dberkholz Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.106 2009/03/03 16:26:20 remi Exp $
#
# @ECLASS: x-modular.eclass
# @MAINTAINER:
@@ -393,10 +393,18 @@ x-modular_src_compile() {
# Creates a ChangeLog from git if using live ebuilds.
x-modular_src_install() {
# Install everything to ${XDIR}
- make \
- DESTDIR="${D}" \
- install \
- || die
+ if [[ ${CATEGORY} = x11-proto ]]; then
+ make \
+ ${PN/proto/}docdir=/usr/share/doc/${PF} \
+ DESTDIR="${D}" \
+ install \
+ || die
+ else
+ make \
+ DESTDIR="${D}" \
+ install \
+ || die
+ fi
# Shouldn't be necessary in XDIR=/usr
# einstall forces datadir, so we need to re-force it
# datadir=${XDIR}/share \